ranges::v3::concepts::WeaklyOrdered Struct Reference
Utility » Concepts

## Public Member Functions

template<typename T >
auto | requires_ (T &&t) -> decltype(concepts::valid_expr(concepts::convertible_to< bool >(t< t), concepts::convertible_to< bool >(t > t), concepts::convertible_to< bool >(t<=t), concepts::convertible_to< bool >(t >=t)))
template<typename T , typename U , typename C = common_reference_t<detail::as_cref_t<T>, detail::as_cref_t<U>>>

auto

requires_ (detail::as_cref_t< T > t, detail::as_cref_t< U > u) -> decltype(concepts::valid_expr(concepts::model_of< WeaklyOrdered, T >(), concepts::model_of< WeaklyOrdered, U >(), concepts::model_of< CommonReference, detail::as_cref_t< T >, detail::as_cref_t< U >>(), concepts::model_of< WeaklyOrdered, C >(), concepts::convertible_to< bool >(t< u), concepts::convertible_to< bool >(u< t), concepts::convertible_to< bool >(t > u), concepts::convertible_to< bool >(u > t), concepts::convertible_to< bool >(t<=u), concepts::convertible_to< bool >(u<=t), concepts::convertible_to< bool >(t >=u), concepts::convertible_to< bool >(u >=t)))